SIG(3ast)

NAME
sig - signal interface routines

SYNOPSIS

DESCRIPTION
sigunblock is called to unblock the signal sig from within a handler currently servicing sig.

sigcritical controls a critical region for the SIGINT, SIGQUIT and SIGHUP signals. op > 0 pushes the region, op == 0 pops the region, and op < 0 returns non-zero if any signals are being held in the current critical region. Signal critical regions may be nested. The current critical region level is returned, -1 on error.

SEE ALSO
signal(2)